---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: sinatra-webapp
spec:
  replicas: 1
  selector:
    matchLabels:
      app: sinatra-webapp
  template:
    metadata:
      labels:
        app: sinatra-webapp
    spec:
      containers:
      - name: sinatra-webapp
        image: inovtst9.u-aizu.ac.jp/yasu-abe/sinatra-webapp:0.1.1
        imagePullPolicy: Always
---
apiVersion: v1
kind: Service
metadata:
  name: sinatra-webapp
  labels:
    app: sinatra-webapp
spec:
  type: ClusterIP
  selector:
    app: sinatra-webapp
  ports:
  - port: 80
    targetPort: 8080
    